<?xml version="1.0"?>
<ruleset name="Custom ruleset"
         xmlns="http://pmd.sourceforge.net/ruleset/2.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://pmd.sourceforge.net/ruleset/2.0.0 http://pmd.sourceforge.net/ruleset_2_0_0.xsd">

    <description>
        Knecon test ruleset checks the code for bad stuff
    </description>


    <rule ref="category/java/errorprone.xml">
        <exclude name="MissingSerialVersionUID"/>
        <exclude name="AvoidLiteralsInIfCondition"/>
        <exclude name="AvoidDuplicateLiterals"/>
        <exclude name="AvoidFieldNameMatchingMethodName"/>
        <exclude name="NullAssignment"/>
        <exclude name="AssignmentInOperand"/>
        <exclude name="TestClassWithoutTestCases"/>
        <exclude name="BeanMembersShouldSerialize"/>
    </rule>

</ruleset>
